Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034106
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2016-09-27 17:352016-09-30 19:07
ReporterplujanView Statuspublic 
Assigned ToSanjota 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision42610ad2d4b9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034106: Missing allowed value in Material Management DB table for Posted field

DescriptionWhen an accounting schema has material management table set as not active, posted shipments take this status with the value='T' in the m_inout table. However, the list of valid values for this list does not include 'T', generating an error in the consistency tests

Exception when parsing entity MaterialMgmtShipmentInOut (0D165FB59B1345EABDE76B76B93E9EE6):posted: Property MaterialMgmtShipmentInOut.posted, value (T) is not allowed, it should be one of the following values: [D, E, d, b, c, C, p, N, Y, NC, y, i] but it is value T
Steps To ReproduceSet MaterialMgmtShipmentInOut entity as not active in the General Ledger Configuration window and run the Accounting Server Process.
Proposed SolutionThere are actually two threads to fix. One, straightforward, is to add the value T to the list of allowed values for the reference list.
The other, more complex, is to identify why this checks job has started failing in recent days. It might be related with this changeset: https://code.openbravo.com/erp/devel/pi/rev/df9155c88ab2 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0090390)
hgbot (developer)
2016-09-29 19:04

Repository: erp/devel/pi
Changeset: 42610ad2d4b903366ebf3752a65af7d8e2394443
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Wed Sep 28 14:25:07 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/42610ad2d4b903366ebf3752a65af7d8e2394443 [^]

Fixes issue 34106: Created Missing references in m_inout table for Posted field

Added missing reference in posted reference list to avoid the exception while parsing m_inout record.

---
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0090391)
aferraz (developer)
2016-09-29 19:05

Code review + Testing OK
(0090440)
hudsonbot (developer)
2016-09-30 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/538700cbd709 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-27 17:35 plujan New Issue
2016-09-27 17:35 plujan Assigned To => Triage Finance
2016-09-27 17:35 plujan Modules => Core
2016-09-27 17:35 plujan Regression level => Pre packaging ( pi )
2016-09-27 17:35 plujan Triggers an Emergency Pack => No
2016-09-27 17:37 ngarcia Issue Monitored: ngarcia
2016-09-28 10:14 aferraz Regression level Pre packaging ( pi ) =>
2016-09-29 19:04 hgbot Checkin
2016-09-29 19:04 hgbot Note Added: 0090390
2016-09-29 19:04 hgbot Status new => resolved
2016-09-29 19:04 hgbot Resolution open => fixed
2016-09-29 19:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/42610ad2d4b903366ebf3752a65af7d8e2394443 [^]
2016-09-29 19:05 aferraz Assigned To Triage Finance => Sanjota
2016-09-29 19:05 aferraz Review Assigned To => aferraz
2016-09-29 19:05 aferraz Note Added: 0090391
2016-09-29 19:05 aferraz Status resolved => closed
2016-09-29 19:05 aferraz Fixed in Version => 3.0PR16Q4
2016-09-30 19:07 hudsonbot Checkin
2016-09-30 19:07 hudsonbot Note Added: 0090440


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker